Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class TextViewer.TextHoverKey

    java.lang.Object
      org.eclipse.jface.text.TextViewer.TextHoverKey

Enclosing class:
  TextViewer

    protected class TextViewer.TextHoverKey

extends Object

Value object used as key in the text hover configuration table. It is modifiable only inside this compilation unit to allow the reuse of created objects for efficiency reasons

Since:
  2.1

Constructor Summary
`protected` `TextViewer.TextHoverKey(String contentType, int stateMask)` Creates a new text hover key for the given content type and state mask.

Method Summary
`boolean` `equals(Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextViewer.TextHoverKey

    protected TextViewer.TextHoverKey(String contentType,
                                      int stateMask)

  Creates a new text hover key for the given content type and state mask.

  Parameters:
    `contentType` - the content type
    `stateMask` - the state mask

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.